Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://new.scispot.io/download/file \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://new.scispot.io/download/file', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://new.scispot.io/download/file" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "success": true, "message": "File downloaded successfully" }
{ "success": false, "message": "Missing Authentication Token" }
{ "success": false, "message": "Invalid Bearer Token" }
{ "error": "File not found for uuid: <uuid>" }
{ "success": false, "message": "Operation failed" }
This endpoint allows the user to download a file from Scispot
Personal access token from Scispot Account → Personal Tokens
File downloaded successfully